Mardi 20 Novembre 2018, 15:03     Connectés : 6      Membres : 5


Mot de passe oublié ?

Pas encore de compte ?

1 2 3 4 5 6 7 8 …  10

Eador Genesis : La traduction française

REPONDRE S'ABONNER
Boon947
Novice
#101
Je n'ai pas Linux mais merci de tes explications.

En fait, "porter Genesis sous Linux" signifie "il est désormais possible de jouer à Genesis sous Linux".
Si tu n'as pas Linux, mon message n'a pas d'intérêt pour toi ;-)

Les commandes indiquées sont des commandes Linux.

'cd' permet de changer de dossier
'tar xf' permet d'extraire les fichiers d'une archive
'mv' permet de déplacer/renommer fichiers et dossiers
'rm' permet de supprimer des fichiers
./eador permet de lancer le jeu ;-)

A+
all_zebest
Héros
#102
C'est parfaitement clair, maintenant, merci encore !
targus
Paladin
#103
All, si tu as fait un peu de DOS dans ta jeunesse, ça y ressemble un peu ; sous windows, tu lances l'invite de commande puis tu tapes 'help' et tu retrouveras ce fameux 'cd..' et toutes les commandes DOS.

all_zebest
Héros
#104
Effectivement.
Geralt
Grand chevalier
#105
All n'est pas un habitué des commandes linux on dirait.

En tout cas pour ma part c'est une très bonne nouvelle, j'en avais pas entendu parler...
Je vais tester ça Boon947 !
J'ai la version GOG...
« Un peuple prêt à sacrifier un peu de liberté pour un peu de sécurité ne mérite ni l'une ni l'autre, et finit par perdre les deux. » Benjamin Franklin
Boon947
Novice
#106
En tout cas pour ma part c'est une très bonne nouvelle, je n'en avais pas entendu parler...
Je vais tester ça Boon947 ! J'ai la version GOG...

Bonne idée, je devrais poster une annonce sur le forum GOG.
Quelle distro utilises-tu ?
A+
Geralt
Grand chevalier
#107
J'utilise Manjaro (basée sur Arch).
« Un peuple prêt à sacrifier un peu de liberté pour un peu de sécurité ne mérite ni l'une ni l'autre, et finit par perdre les deux. » Benjamin Franklin
Boon947
Novice
#108
A priori, les dépendances ne devraient pas poser problème
https://www.archlinux.org/packages/community/x86_64/allegro4/
https://www.archlinux.org/packages/extra/x86_64/libvorbis/

Je ne sais pas si j'aurais dû linker libstdc++ statiquement...
https://insanecoding.blogspot.fr/2012/07/creating-portable-linux-binaries.html

A+
Geralt
Grand chevalier
#109
A noter que le jeu fonctionne sans soucis avec wine (1.9.11 dans mon cas). Enfin truc bizarre, impossible d'écrire/changer le nom de notre héros. (maintenant ça marche)
Pour la version linux, j'ai une petite erreur qui ferme le jeu :
"Shutting down Allegro due to signal #11"

Je vois un instant la fenêtre. Je pense que c'est pas grand chose...
« Un peuple prêt à sacrifier un peu de liberté pour un peu de sécurité ne mérite ni l'une ni l'autre, et finit par perdre les deux. » Benjamin Franklin

Message édité pour la dernière fois le : 24/06/2016 à 01:09

Boon947
Novice
#110
A noter que le jeu fonctionne sans soucis avec wine (1.9.11 dans mon cas). Enfin truc bizarre, impossible d'écrire/changer le nom de notre héros. ^^
Pour la version linux, j'ai une petite erreur qui ferme le jeu :
"Shutting down Allegro due to signal #11"

J'avais essayé sous Wine, mais je trouvais le curseur trop lent et haché...

Pour le problème de signal, est-ce que tu peux lancer le jeu depuis gdb :
$ gdb eador
% run
et me donner la back trace après le plantage ?
%bt

A+

Message édité pour la dernière fois le : 23/06/2016 à 20:56

Geralt
Grand chevalier
#111
Oui, j'ai vu ça aussi, faut dire que le jeu n'a aucune option vidéo dans le menu...

Je te fais ça !

« Un peuple prêt à sacrifier un peu de liberté pour un peu de sécurité ne mérite ni l'une ni l'autre, et finit par perdre les deux. » Benjamin Franklin

Message édité pour la dernière fois le : 24/06/2016 à 00:47

hiroa44
Citoyen
#112
salut à tous!
je viens de me procurer ce jeu sur steam ,il est en solde!
par contre impossible de le lancer. .
j'ai le message d erreur suivant:


error reading campaign dialogu.var file ( answer), member: 1217

Je précise que le jeu se lance parfaitement sans la traduction.

Message édité pour la dernière fois le : 24/06/2016 à 21:49

targus
Paladin
#113
> hiroa44
j'ai téléchargé le fichier fr pour y jeter un rapide coup d'œil ;
donc, member 1217 - effectivement je regarde une petite anomalie par rapport aux autres lignes ; fais la manip suivante et dis-nous si ça marche :
- ouvre le fichier 'campaign_dialog.var'
- vas à '/1217
- 'remonte' la ligne 'Bitmap: 0; au-dessus de la ligne Text:
(tu comprendras mieux en regardant les autres scripts)

Geralt
Grand chevalier
#114
Bien vu targus ! C'est très probablement ça !
Pendant la relecture, je regarde surtout le texte en lui même, et très peu l'architecture du fichier au final. Parfois je vois ce genre d'erreur, là non...
« Un peuple prêt à sacrifier un peu de liberté pour un peu de sécurité ne mérite ni l'une ni l'autre, et finit par perdre les deux. » Benjamin Franklin

Message édité pour la dernière fois le : 24/06/2016 à 22:26

Boon947
Novice
#115
En tout cas j'ai pas vu le temps passer... Je sens que je vais adorer ce jeu. Oui c'était ma première véritable partie dessus alors que je l'ai depuis un bail ! C'est assez différent d'un Heroes III finalement, il y a de bonnes choses dedans. :) Du coup ça me motive encore plus pour y jouer avec le patch FR complet.

(Je t'ai envoyé un message privé)

Au passage, si tu kiffes Genesis, tu devrais vraiment essayer New Horizons !
http://eador.com/B2/viewtopic.php?t=3793

A+
hiroa44
Citoyen
#116
En plein dans le mille!

Merci Targus pour ta réactivité.
Geralt
Grand chevalier
#117
New Horizons n'est pas compatible avec ta version linux, si ?

Sinon, j'ai le temps, parce que là je me fait bien rouler dessus par l'IA... Alors soit je suis mauvais ou alors j'ai pas encore compris toutes les mécaniques. Je le trouve très dur en fait. ^^' Et pourtant j'ai passé beaucoup de temps sur Heroes III.
« Un peuple prêt à sacrifier un peu de liberté pour un peu de sécurité ne mérite ni l'une ni l'autre, et finit par perdre les deux. » Benjamin Franklin
hiroa44
Citoyen
#118
New Horizons n'est pas compatible avec ta version linux, si ?

Sinon, j'ai le temps, parce que là je me fait bien rouler dessus par l'IA... Alors soit je suis mauvais ou alors j'ai pas encore compris toutes les mécaniques. Je le trouve très dur en fait. ^^' Et pourtant j'ai passé beaucoup de temps sur Heroes III.


Heroes 3?
Je ne compte plus le nombre incalculable d'heures que j'ai pu passer dessus!
Concernant la difficulté,tu parles de la campagne ou du solo?
Geralt
Grand chevalier
#119
La campagne, j'y suis allé très rapidement. Mais oui j'ai testé le "solo". En ce qui concerne les ressources avec les provinces par exemple, pas tout saisi...
Et puis le revenu paraît hyper faible aussi, alors que certains bâtiments coûtent cher. Les créatures contrairmeent à Heroes, bien là c'est pas un "groupe" d'un type, mais bel et bien une seule créature/unité. Ce qui ressemble du coup plus à Age Of Wonders pour le coup, surtout avec l'XP pour chaque. (Même si je pense qu'il y a bien moins de "capacités à distribuer à ces troupes là par rapport à AoW)

Je pense que je m'y mettrai beaucoup plus une fois le patch FR fini.
« Un peuple prêt à sacrifier un peu de liberté pour un peu de sécurité ne mérite ni l'une ni l'autre, et finit par perdre les deux. » Benjamin Franklin
Boon947
Novice
#120
New Horizons n'est pas compatible avec ta version linux, si ?

Pas encore réussi à convaincre l'auteur du mod de faire une version Linux :-(
Obligé de jouer sous Zindoze ou Wine pour le moment.
Geralt
Grand chevalier
#121
New Horizons n'est pas compatible avec ta version linux, si ?

Pas encore réussi à convaincre l'auteur du mod de faire une version Linux :-(
Obligé de jouer sous Zindoze ou Wine pour le moment.


Oki, merci pour l'info. Bon je pourrais toujours tester cela-dit. ;) Il a l'air complet. Mais comme je l'ai dit, je vais essayer de m'habituer au jeu de base pour l'instant.

Sinon pour ce qui est de ta version linux, qu'en pensent les développeurs du jeu ? Qu'en est-il pour l'intégrer officiellement ? Etc.
« Un peuple prêt à sacrifier un peu de liberté pour un peu de sécurité ne mérite ni l'une ni l'autre, et finit par perdre les deux. » Benjamin Franklin
all_zebest
Héros
#122
targus, pourrais-tu m'envoyer le fichier avec l'erreur corrigée ?
targus
Paladin
#123
@All_zebest
Rien de bien compliqué à faire.
tu ouvres le fichier 'campaign_dialog.var' et tu as à cette ligne de script :
/1217 Ñáîðêà Ðàçðóøèòåëÿ 4
Window: 2;
Text: #Les uns apres les autres,...#
Bitmap: 0;
Answer1: Continuer...;#####

et tu modifies ainsi : (remonter la ligne 'Bitmap: 0;)
/1217 Ñáîðêà Ðàçðóøèòåëÿ 4
Window: 2;
Bitmap: 0;
Text: #Les uns apres les autres,...#
Answer1: Continuer...;#####
hiroa44
Citoyen
#124
Même moi j'ai réussi à corriger, tu devrais t'en sortir sans problème All!
Boon947
Novice
#125
/1217 Ñáîðêà Ðàçðóøèòåëÿ 4

T'as pas le bon charset, mon coco ! ;-)
En fait, il y a écrit "Сборка Разрушителя 4"
https://en.wikipedia.org/wiki/Windows-1251
A+